List all namespaces in a Nacos service registry
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespacesInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
service_registry_id*string
Service registry ID.
Length
1 <= lengthgateway_group_id*string
Gateway group ID.
Length
1 <= lengthResponse Body
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries/86fb9981-d9d2-4555-9df8-91ae92129335/nacos/namespaces"Successfully retrieved the list of Nacos namespaces.
{
"total": 1,
"list": [
{
"namespace": "f8b9a1d3-74c7-4a70-9b89-1fc447c1b2e6",
"namespace_show_name": "public"
}
]
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces
List all namespaces in a Nacos service registry
Parameters
service_registry_id(path, string, required): Service registry ID.gateway_group_id(path, string, required): Gateway group ID.
Responses
200: Successfully retrieved the list of Nacos namespaces.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of Nacos namespaces.list[].namespace(string, optional): Nacos namespace ID.list[].namespace_show_name(string, optional): Nacos namespace name.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces'